#include <iostream>
#include <algorithm>

using namespace std;

unsigned long long spoj( int a , int b, int c )
{
    unsigned long long t = 1;
    while( t <= b )
        t *= 10;
    unsigned long long i = 1;
    while( i <= c )
        i *= 10;
    return ( a * t + b ) * i + c;
}

int main(void)
{
    ios::sync_with_stdio(false);

    unsigned long long a, b, c, abc, acb, bac, bca, cab, cba;

    cin >> a >> b >> c;

    abc = spoj( a, b, c );
    acb = spoj( a, c, b );
    bac = spoj( b, a, c );
    bca = spoj( b, c, a );
    cab = spoj( c, a, b );
    cba = spoj( c, b, a );

    cout << max( max( abc, max( acb, bac ) ), max( bca, max( cab, cba ) ) );

    return 0;
}